Всё, что вам нужно знать про хостинг для Woocommece

Вступление

Нам говорят из всех «утюгов»: если у вас есть хорошая идея для онлайн-бизнеса, вы должны запустить её, как можно скорее. Однако, вы не должны с этим спешить, потому что именно на старте обычно происходят роковые ошибки. Вам нужно узнать все системные требования к хостингу для WooCommerce.

WordPress и хостинг для WooCommerce

Вы наверняка уже знаете про CMS WordPress и её сверх популярность. Вы также, наверняка обольстились утверждениями многих вебмастеров, что использование WordPress чрезвычайно просто.

Не спешите с выводами «о вкусе, пока не попробовали блюдо сами». Есть много нюансов, которые могут привести к неэффективности использования WordPress для онлайн-бизнеса. Это особенно важно понимать,  если вы хотите использовать для своих целей такой массивный плагин, как WooCommerce.

Однако не нужно сразу отступать и искать альтернативу. Вам нужен разумный подход к запуску нового вебсайта Интернет магазина на базе WooCommerce. Вы должны  точно знать, какой хостинг и какая поддержка вам понадобятся, чтобы иметь возможность запустить новое онлайн-предприятие.

Хостинг WooCommerce

Хостинг для WooCommerce — официальные системные требования

Теперь давайте посмотрим, какие именно системные требования вам понадобятся, а также на что следует обратить внимание при поиске хостинга для размещения вашего вебсайта на WooCommerce.

Прежде всего, ваш хостинг для Woocommerce должен удовлетворять минимальным требованиям для работы самой WordPress. Это:

  • Версия PHP 7.3 или выше
  • MySQL версии 5.6 или выше;
  • Вместо MySQL подойдёт MariaDB версии 10.0 и выше;
  • Поддержка HTTPS обязательна.

Не ведитесь на утверждения, даже официальные, что  WordPress будет работать практически на любой древней версии PHP, например, «PHP 5.2.4+ и MySQL 5.0+».

WordPress со скрипом работать будет, однако современные плагины работать не будут. Сайт на старых PHP будет уязвим. Плагин WooCommerce будет «ругаться» и будет прав.

Это может вас заинтересовать:  Настройка WordPress под Интернет магазин Урок 3: Интернет магазин WordPress

Для контроля за соответствием сервера требованию системы, есть вкладка в консоли под названием «Здоровье сайта» (меню «Инструменты»). Рекомендую её посетить сразу после установки WordPress.

"Здоровье сайта"

Если вы используете WordPress и WooCommerce для запуска сайта электронной коммерции, на котором есть деньги и много личной информации, последнее, что вам нужно сделать, — это подвергнуть его уязвимостям безопасности.

Требования к хостинг для Woocommerce

Посмотрим на официальные минимальные требования к серверу хостинга для работы WooCommerce 4.2.0 (версия 2020-06-02). На сайте плагина WooCommerce вы найдёте следующие требования:

  • Оперативная память 128 МБ или выше;
  • MySQL 5.6 или выше;
  • PHP 7.3 или выше;
  • Поддержка HTTPS.

Однако это ещё не всё. Есть дополнительные требования, для лучшей работы скрипта магазина. Для некоторых пользователей они могут быть не обязательны.

Дополнительные требования

Во-первых, поддержка cURL или fsockopen для PayPal: cURL — библиотека для получения и передачи данных через такие протоколы HTTP, FTP, HTTPS;

Во-вторых, IPNSSL сертификат для установки шлюзов прямой оплаты;

В-третьих, поддержка SOAP (протокол обмена xml-сообщениями), потому что это требуется для многих расширений;

В-четвёртых, для русского сайта нужна поддержка многобайтовой строки (для работы с Unicode-кодировками, такими, как UTF-8).

В-пятых, для красивых постоянных ссылок WordPress вам также понадобится apache с модулем mod_rewrite (или аналогичным расширением nginx/IIS).

Скажу откровенно, перечисленные дополнительные требования можно не проверять при выборе хостинга. Сервера настроенные для работы с русскоязычными пользователями и стандартными CMS, обычно, имеют эти настройки по умолчанию.

Даже если это не так, после установки WooCommerce у вас появится вкладка в консоли под названием «Состояние системы WooCommerce». На ней вы найдёте недостатки вашего сервера и их будет легко исправить адресно.

Это может вас заинтересовать:  WooCommerce 4.0 стал доступен

Надёжная настройка WooCommerce

Сервер

Рекомендую не «играть в поддавки» и сразу искать хостинг для Woocommerce под управлением PHP 7.2+ и MySQL 5.6+.

Веб-сервера

Также лучше комбинация двух веб-серверов: Apache для стабильности и управления вместе с Nginx для скорости. Совокупная мощь этих технологий даст вашему сайту оптимальную производительность.

Системы кеширования и хостинг для Woocommerce

Я бы посоветовал вам искать сервера с системами кеширования Varnish или LiteSpeed, но в России с этим туго. Varnish я не встречал вообще, а LiteSpeed есть на многих хостах, например на Fozzy, Hostinger, AgHost. У них есть ДОЦы в России.

LiteSpeed SAPI нужен для плагина оптимизирующего скорость сайта «LiteSpeed» WordPress. Посмотреть используется ли на вашем сервере LiteSpeed SAPI вы можете на странице «Здоровье сайта» (меню «Инструменты») вкладка Информация>>>Сервер.

Если на вашем хостинге нет Varnish, LiteSpeed, Redis, Redis и Memcached не беда. Вам помогут плагины кэширования для WordPress, например, WP3 Total Cache, WP SuperCache, WP Rocket, Autoptimize, WP Fastest Cache и т.д. Мороки с ними много, но в конце концов, они ускорят ваш сайт и его производительность.

Модули PHP

Модуль mod_rewrite нужен для красивых постоянных ссылок. Это нужно для целей SEO. То что на всех серверах стоит mod_rewrite это точно. Он может быть не включён и включить его очень просто.

Apache

Веб-сервер Apache нужен для использования файлов .htaccess. Однако вы можете использовать файл httpd.conf и говорят, что это работает.

HTTPS хостинг для Woocommece

С самого начала важно, чтобы ваш сайт был доступен по безопасному протоколу HTTPS. Он важно как для SEO, так и для безопасности магазина. Вот почему вы должны выбрать вариант хостинга с SSL-сертификатом и сразу запустить его на всём сайте.

Это может вас заинтересовать:  Ручное резервное копирование WooCommerce

И здесь главная закавыка в выборе хостинга. Если кратко, то суть в следующем:

  • SSL-сертификат можно купить;
  • Можно найти хостинг, который даёт бесплатный сертификат Let’s Encrypt;
  • Возможно получить бесплатный сертификат на специальных сервисах раздачи бесплатных DV сертификатов. Например, sslforfree.com, ssl.com.

Однако с бесплатными сертификатами не всё просто. Для развивающихся магазинов бесплатного сертификата типа DV будет недостаточно. Если в магазине всё пойдёт как хочется, вам будут нужны платные сертификаты OV или EV типа. Это нужно понимать и для серьёзных проектов нужна сразу выбрать хостинги с расширенными сертификатами безопасности.

Вывод про хостинг для Woocommerce

Несмотря на то, что WordPress ориентирован на удобство использования, это сложная система. Её нужно хорошо настроить, чтобы работать с оптимальной скоростью и эффективностью. Вы должны сделать это самостоятельно или нанять разработчика, или купить управляемый хостинг для обслуживания вашего сайта.

©shopiweb.ru

Еще статьи

Похожие посты:

(Статью прочитали: 33 раз)

Добавить комментарий